<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: Regression_Loop_NShots Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespaceRegression__Loop__NShots.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Regression_Loop_NShots Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa79e2e3a1d576a77cd69acf0ae3d13ab"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#aa79e2e3a1d576a77cd69acf0ae3d13ab">histories</a> = []</td></tr>
<tr class="separator:aa79e2e3a1d576a77cd69acf0ae3d13ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e1494574ac28b67a284e22c65517c66"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a7e1494574ac28b67a284e22c65517c66">NSPS</a> = np.arange(10, 30 , 10, dtype=int)</td></tr>
<tr class="separator:a7e1494574ac28b67a284e22c65517c66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a390b4fe8556108350552c5d6b7a20a7c"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a390b4fe8556108350552c5d6b7a20a7c">scores</a> = []</td></tr>
<tr class="separator:a390b4fe8556108350552c5d6b7a20a7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6301e46eaed77a0a2136a2c6397dad45"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a6301e46eaed77a0a2136a2c6397dad45">count</a> = 0</td></tr>
<tr class="separator:a6301e46eaed77a0a2136a2c6397dad45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c044a068d96ee0f90f7911cd9af9ffa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a4c044a068d96ee0f90f7911cd9af9ffa">Learn</a></td></tr>
<tr class="separator:a4c044a068d96ee0f90f7911cd9af9ffa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af36af97cd494c885305f4ee2782562be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#af36af97cd494c885305f4ee2782562be">momLabels</a></td></tr>
<tr class="separator:af36af97cd494c885305f4ee2782562be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0837ae9fd88b49306765ab29c2e64e2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#ac0837ae9fd88b49306765ab29c2e64e2">momData</a></td></tr>
<tr class="separator:ac0837ae9fd88b49306765ab29c2e64e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26b95bcdf9a87ffc3543e8d72dc20037"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a26b95bcdf9a87ffc3543e8d72dc20037">DataString</a> = SpaceString(inp.momData)</td></tr>
<tr class="separator:a26b95bcdf9a87ffc3543e8d72dc20037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2f34390e01b2652e07b2bed82012048"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#af2f34390e01b2652e07b2bed82012048">LabelString</a> = SpaceString(inp.momLabels)</td></tr>
<tr class="separator:af2f34390e01b2652e07b2bed82012048"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32fe3b78d3a04e235ae4ab55a2256fe9"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a32fe3b78d3a04e235ae4ab55a2256fe9">fname</a> = 'Errors_'+inp.Learn+'_in_'+<a class="el" href="namespaceRegression__Loop__NShots.html#af2f34390e01b2652e07b2bed82012048">LabelString</a>+'_from_SSS_in_'+<a class="el" href="namespaceRegression__Loop__NShots.html#a26b95bcdf9a87ffc3543e8d72dc20037">DataString</a></td></tr>
<tr class="separator:a32fe3b78d3a04e235ae4ab55a2256fe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b9fd04c13c1ffafae01feec8feb1f2d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a5b9fd04c13c1ffafae01feec8feb1f2d">NShotsPerSample</a></td></tr>
<tr class="separator:a5b9fd04c13c1ffafae01feec8feb1f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a605384912e7943b64c5a56eb351e3638"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a605384912e7943b64c5a56eb351e3638">NShots</a></td></tr>
<tr class="separator:a605384912e7943b64c5a56eb351e3638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af12ec2f223daded8dd04235192d9559e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#af12ec2f223daded8dd04235192d9559e">Loss</a></td></tr>
<tr class="separator:af12ec2f223daded8dd04235192d9559e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2add3adcf16d798681d18f5057f86d77"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a2add3adcf16d798681d18f5057f86d77">training_generator</a></td></tr>
<tr class="separator:a2add3adcf16d798681d18f5057f86d77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c630385bb7a0e2be530ad19d5f18b92"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a0c630385bb7a0e2be530ad19d5f18b92">validation_generator</a></td></tr>
<tr class="separator:a0c630385bb7a0e2be530ad19d5f18b92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b5de447190fb71361731cce4eaa2941"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a8b5de447190fb71361731cce4eaa2941">y_val</a> = np.array(y_val)</td></tr>
<tr class="separator:a8b5de447190fb71361731cce4eaa2941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41c9d52b4fcfd5641b1d90e34af2010d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a41c9d52b4fcfd5641b1d90e34af2010d">X_train</a></td></tr>
<tr class="separator:a41c9d52b4fcfd5641b1d90e34af2010d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d5a6a9c6c3bbbcbc3134655a4c8b26"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#af8d5a6a9c6c3bbbcbc3134655a4c8b26">y_train</a></td></tr>
<tr class="separator:af8d5a6a9c6c3bbbcbc3134655a4c8b26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b3af3a7ee3379cb21c8fe2f6380e8dd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a6b3af3a7ee3379cb21c8fe2f6380e8dd">X_val</a></td></tr>
<tr class="separator:a6b3af3a7ee3379cb21c8fe2f6380e8dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af65f3f4602947d11d2a3a41ea2fc2fd1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#af65f3f4602947d11d2a3a41ea2fc2fd1">test_predictions</a></td></tr>
<tr class="separator:af65f3f4602947d11d2a3a41ea2fc2fd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95ff3c7b93165c17e122fcc16c8c0a9b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a95ff3c7b93165c17e122fcc16c8c0a9b">best_val_loss_index</a> = np.argmin(np.array(history.history['val_loss']))</td></tr>
<tr class="separator:a95ff3c7b93165c17e122fcc16c8c0a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5172d63896483d398f0bdcb93573c215"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a5172d63896483d398f0bdcb93573c215">score</a> = np.reshape(model.evaluate(<a class="el" href="namespaceRegression__Loop__NShots.html#a0c630385bb7a0e2be530ad19d5f18b92">validation_generator</a>, verbose=0),(1,-1))</td></tr>
<tr class="separator:a5172d63896483d398f0bdcb93573c215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae85e41237421de4de74c2d610e807bb6"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#ae85e41237421de4de74c2d610e807bb6">legend</a> = []</td></tr>
<tr class="separator:ae85e41237421de4de74c2d610e807bb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e1a5142a2aa0f23e61faaa4bef1f597"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a6e1a5142a2aa0f23e61faaa4bef1f597">fig</a></td></tr>
<tr class="separator:a6e1a5142a2aa0f23e61faaa4bef1f597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e4d71d21cada701837db12f690db54a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a5e4d71d21cada701837db12f690db54a">ax</a></td></tr>
<tr class="separator:a5e4d71d21cada701837db12f690db54a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c23ebc7b06bb4d7f75e19bda632544e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a6c23ebc7b06bb4d7f75e19bda632544e">loc</a></td></tr>
<tr class="separator:a6c23ebc7b06bb4d7f75e19bda632544e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf78cc899714ef7f486d4969dac1dc76"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#acf78cc899714ef7f486d4969dac1dc76">xlabel</a></td></tr>
<tr class="separator:acf78cc899714ef7f486d4969dac1dc76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a069e1a7f0603b6249975b6cbbde619b3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRegression__Loop__NShots.html#a069e1a7f0603b6249975b6cbbde619b3">ylabel</a></td></tr>
<tr class="separator:a069e1a7f0603b6249975b6cbbde619b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a5e4d71d21cada701837db12f690db54a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e4d71d21cada701837db12f690db54a">&#9670;&nbsp;</a></span>ax</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.ax</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a95ff3c7b93165c17e122fcc16c8c0a9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95ff3c7b93165c17e122fcc16c8c0a9b">&#9670;&nbsp;</a></span>best_val_loss_index</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.best_val_loss_index = np.argmin(np.array(history.history['val_loss']))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6301e46eaed77a0a2136a2c6397dad45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6301e46eaed77a0a2136a2c6397dad45">&#9670;&nbsp;</a></span>count</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Regression_Loop_NShots.count = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a26b95bcdf9a87ffc3543e8d72dc20037"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26b95bcdf9a87ffc3543e8d72dc20037">&#9670;&nbsp;</a></span>DataString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.DataString = SpaceString(inp.momData)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e1a5142a2aa0f23e61faaa4bef1f597"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e1a5142a2aa0f23e61faaa4bef1f597">&#9670;&nbsp;</a></span>fig</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.fig</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a32fe3b78d3a04e235ae4ab55a2256fe9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32fe3b78d3a04e235ae4ab55a2256fe9">&#9670;&nbsp;</a></span>fname</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string Regression_Loop_NShots.fname = 'Errors_'+inp.Learn+'_in_'+<a class="el" href="namespaceRegression__Loop__NShots.html#af2f34390e01b2652e07b2bed82012048">LabelString</a>+'_from_SSS_in_'+<a class="el" href="namespaceRegression__Loop__NShots.html#a26b95bcdf9a87ffc3543e8d72dc20037">DataString</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa79e2e3a1d576a77cd69acf0ae3d13ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa79e2e3a1d576a77cd69acf0ae3d13ab">&#9670;&nbsp;</a></span>histories</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list Regression_Loop_NShots.histories = []</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af2f34390e01b2652e07b2bed82012048"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2f34390e01b2652e07b2bed82012048">&#9670;&nbsp;</a></span>LabelString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.LabelString = SpaceString(inp.momLabels)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4c044a068d96ee0f90f7911cd9af9ffa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c044a068d96ee0f90f7911cd9af9ffa">&#9670;&nbsp;</a></span>Learn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.Learn</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae85e41237421de4de74c2d610e807bb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae85e41237421de4de74c2d610e807bb6">&#9670;&nbsp;</a></span>legend</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.legend = []</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6c23ebc7b06bb4d7f75e19bda632544e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c23ebc7b06bb4d7f75e19bda632544e">&#9670;&nbsp;</a></span>loc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.loc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af12ec2f223daded8dd04235192d9559e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af12ec2f223daded8dd04235192d9559e">&#9670;&nbsp;</a></span>Loss</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.Loss</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac0837ae9fd88b49306765ab29c2e64e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0837ae9fd88b49306765ab29c2e64e2">&#9670;&nbsp;</a></span>momData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.momData</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af36af97cd494c885305f4ee2782562be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af36af97cd494c885305f4ee2782562be">&#9670;&nbsp;</a></span>momLabels</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.momLabels</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a605384912e7943b64c5a56eb351e3638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a605384912e7943b64c5a56eb351e3638">&#9670;&nbsp;</a></span>NShots</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.NShots</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b9fd04c13c1ffafae01feec8feb1f2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b9fd04c13c1ffafae01feec8feb1f2d">&#9670;&nbsp;</a></span>NShotsPerSample</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.NShotsPerSample</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e1494574ac28b67a284e22c65517c66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e1494574ac28b67a284e22c65517c66">&#9670;&nbsp;</a></span>NSPS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.NSPS = np.arange(10, 30 , 10, dtype=int)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5172d63896483d398f0bdcb93573c215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5172d63896483d398f0bdcb93573c215">&#9670;&nbsp;</a></span>score</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.score = np.reshape(model.evaluate(<a class="el" href="namespaceRegression__Loop__NShots.html#a0c630385bb7a0e2be530ad19d5f18b92">validation_generator</a>, verbose=0),(1,-1))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a390b4fe8556108350552c5d6b7a20a7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a390b4fe8556108350552c5d6b7a20a7c">&#9670;&nbsp;</a></span>scores</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.scores = []</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af65f3f4602947d11d2a3a41ea2fc2fd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af65f3f4602947d11d2a3a41ea2fc2fd1">&#9670;&nbsp;</a></span>test_predictions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.test_predictions</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2add3adcf16d798681d18f5057f86d77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2add3adcf16d798681d18f5057f86d77">&#9670;&nbsp;</a></span>training_generator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.training_generator</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c630385bb7a0e2be530ad19d5f18b92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c630385bb7a0e2be530ad19d5f18b92">&#9670;&nbsp;</a></span>validation_generator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.validation_generator</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a41c9d52b4fcfd5641b1d90e34af2010d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41c9d52b4fcfd5641b1d90e34af2010d">&#9670;&nbsp;</a></span>X_train</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.X_train</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6b3af3a7ee3379cb21c8fe2f6380e8dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b3af3a7ee3379cb21c8fe2f6380e8dd">&#9670;&nbsp;</a></span>X_val</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.X_val</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acf78cc899714ef7f486d4969dac1dc76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf78cc899714ef7f486d4969dac1dc76">&#9670;&nbsp;</a></span>xlabel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.xlabel</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8d5a6a9c6c3bbbcbc3134655a4c8b26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8d5a6a9c6c3bbbcbc3134655a4c8b26">&#9670;&nbsp;</a></span>y_train</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.y_train</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8b5de447190fb71361731cce4eaa2941"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b5de447190fb71361731cce4eaa2941">&#9670;&nbsp;</a></span>y_val</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.y_val = np.array(y_val)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a069e1a7f0603b6249975b6cbbde619b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a069e1a7f0603b6249975b6cbbde619b3">&#9670;&nbsp;</a></span>ylabel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Regression_Loop_NShots.ylabel</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceRegression__Loop__NShots.html">Regression_Loop_NShots</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
